#version 330 core

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
uniform mat3 normalMatrix;

in vec4 in_position;
in vec3 in_normal;
in vec2 in_texCoord;

smooth out vec3 smooth_normal;
out vec2 texCoordout;
out vec4 vertexPos;

void main(void)
{
	vec4 vert =  modelMatrix * in_position;
	
	smooth_normal = normalize(normalMatrix * in_normal);
	gl_Position = projectionMatrix * viewMatrix * vert;
	texCoordout = in_texCoord;
	vertexPos = vert;
}